#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    int n = 0, l = 0;
    cin >> n >> l;
    int rez = -1, tren = 0;
    for(int i = 0; i < n; i++){
        cin >> tren;
        if(tren<=l){
            rez = i+1;
            break;
        }
    }
    cout << rez;
    return 0;
}